Project

General

Profile

Bug #4769

"wrong element type nil at 4 (expected array)" warning from AuthSourceLDAP

Added by Dominic Cleal almost 8 years ago. Updated over 3 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Rails
Target version:
Difficulty:
Triaged:
Bugzilla link:
Fixed in Releases:
Found in Releases:

Description

The following warnings are shown when running the test suite on Ruby 2.0.

/home/dcleal/code/foreman/foreman/app/models/auth_sources/auth_source_ldap.rb:125: warning: wrong element type nil at 4 (expected array)
/home/dcleal/code/foreman/foreman/app/models/auth_sources/auth_source_ldap.rb:125: warning: ignoring wrong elements is deprecated, remove them explicitly
/home/dcleal/code/foreman/foreman/app/models/auth_sources/auth_source_ldap.rb:125: warning: this causes ArgumentError in the next release

Associated revisions

Revision c7293761 (diff)
Added by Dominic Cleal over 6 years ago

fixes #4769 - fix deprecation warning while syncing LDAP attrs

History

#1 Updated by Dominic Cleal over 6 years ago

  • Status changed from New to Assigned
  • Assignee set to Dominic Cleal

#2 Updated by The Foreman Bot over 6 years ago

  • Status changed from Assigned to Ready For Testing
  • Pull request https://github.com/theforeman/foreman/pull/2385 added
  • Pull request deleted ()

#3 Updated by Dominic Cleal over 6 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

#4 Updated by Dominic Cleal over 6 years ago

  • Legacy Backlogs Release (now unused) set to 35

Also available in: Atom PDF